Update an event trigger
PATCH
https://api.usenotra.com
/
v1
/
event-triggers
/
{triggerId}
Update an event trigger
curl --request PATCH \
--url https://api.usenotra.com/v1/event-triggers/{triggerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceType": "github_webhook",
"sourceConfig": {
"eventTypes": [],
"includePreReleases": true,
"ignoreCommitPatterns": []
},
"targets": {
"repositoryIds": [
"<string>"
]
},
"enabled": true,
"outputConfig": {
"brandVoiceId": "<string>"
},
"autoPublish": false
}
'import requests
url = "https://api.usenotra.com/v1/event-triggers/{triggerId}"
payload = {
"sourceType": "github_webhook",
"sourceConfig": {
"eventTypes": [],
"includePreReleases": True,
"ignoreCommitPatterns": []
},
"targets": { "repositoryIds": ["<string>"] },
"enabled": True,
"outputConfig": { "brandVoiceId": "<string>" },
"autoPublish": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceType: 'github_webhook',
sourceConfig: {eventTypes: [], includePreReleases: true, ignoreCommitPatterns: []},
targets: {repositoryIds: ['<string>']},
enabled: true,
outputConfig: {brandVoiceId: '<string>'},
autoPublish: false
})
};
fetch('https://api.usenotra.com/v1/event-triggers/{triggerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventTrigger": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"sourceType": "github_webhook",
"sourceConfig": {
"eventTypes": [
"release"
],
"includePreReleases": true,
"ignoreCommitPatterns": []
},
"targets": {
"repositoryIds": [
"<string>"
]
},
"outputType": "changelog",
"enabled": true,
"autoPublish": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"outputConfig": {
"publishDestination": "webflow",
"brandVoiceId": "<string>"
}
},
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Path Parameters
Minimum string length:
1Pattern:
^[A-Za-z0-9_-]{1,100}$Example:
"trig_123"
Body
application/json
Available options:
github_webhook Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
changelog, blog_post, linkedin_post, twitter_post, image Show child attributes
Show child attributes
Last modified on September 18, 2026
Was this page helpful?
⌘I
Update an event trigger
